## org.ascape.util.vis
Class DrawSymbol

    java.lang.Object
      org.ascape.util.vis.DrawFeature
          org.ascape.util.vis.DrawSymbol

All Implemented Interfaces:
  java.io.Serializable, HasName, Drawable, PlatformDrawFeature

    public abstract class DrawSymbol

extends DrawFeature
implements Drawable

An drawing method that draws a symbol irrespective of the supplied object's state. Analagous to ColorFeatureFixed

Since:
  1.0
Version:
  1.0.1
Author:
  Miles Parker
See Also:
  `DrawFeature`, `ColorFeatureFixed`, Serialized Form

Field Summary
`static DrawSymbol` `DRAW_HATCH` Draws a hash mark.
`static DrawSymbol` `DRAW_HATCH_G1_W2` Draws a hash mark with a gap of 2 spaces and width 1.
`static DrawSymbol` `DRAW_HATCH_G2_W1` Draws a hash mark with a gap of 2 spaces and width 1.
`static DrawSymbol` `DRAW_HATCH_G2_W2` Draws a hash mark with a gap of 2 spaces and width 1.
`static DrawSymbol` `DRAW_HATCH_G3_W1` Draws a hash mark.
`static DrawSymbol` `DRAW_HATCH_G3_W2` Draws a hash mark.
`static DrawSymbol` `DRAW_OVAL` A symbol that calls drawOval.
`static DrawSymbol` `DRAW_OVAL_2` A symbol that calls drawOval.
`static DrawSymbol` `DRAW_OVOID` A symbol that draws an 'oval' that looks good in smaller sizes.
`static DrawSymbol` `DRAW_RECT` A symbol that calls drawRect.
`static DrawSymbol` `DRAW_RECT_2` A symbol that calls drawRect.
`static DrawSymbol` `DRAW_X` Draws a diagonal cross.
`static DrawSymbol` `FILL_OVAL` A symbol that calls fillOval.
`static DrawSymbol` `FILL_OVOID` Fills in the space inside a DRAW_OVOID.
`static DrawSymbol` `FILL_RECT` A symbol that calls fillRect.

Fields inherited from class org.ascape.util.vis.DrawFeature
`name, nestedFeature`

Constructor Summary
`DrawSymbol()`

Method Summary
`void` `draw(org.eclipse.draw2d.Graphics g, java.lang.Object object, int width, int height)` Calls a draw method that ignores object and provides a drawable interface.

Methods inherited from class org.ascape.util.vis.DrawFeature
`getName, getNestedFeature, setName, setNestedFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ascape.util.vis.Drawable
`draw`

Field Detail

### FILL_RECT

    public static final DrawSymbol FILL_RECT

  A symbol that calls fillRect.

### DRAW_RECT

    public static final DrawSymbol DRAW_RECT

  A symbol that calls drawRect.

### DRAW_RECT_2

    public static final DrawSymbol DRAW_RECT_2

  A symbol that calls drawRect.

### FILL_OVAL

    public static final DrawSymbol FILL_OVAL

  A symbol that calls fillOval.

### DRAW_OVAL_2

    public static final DrawSymbol DRAW_OVAL_2

  A symbol that calls drawOval.

### DRAW_OVAL

    public static final DrawSymbol DRAW_OVAL

  A symbol that calls drawOval.

### DRAW_OVOID

    public static final DrawSymbol DRAW_OVOID

  A symbol that draws an 'oval' that looks good in smaller sizes. (Just a rect with the end points missing.)

### FILL_OVOID

    public static final DrawSymbol FILL_OVOID

  Fills in the space inside a DRAW_OVOID.

### DRAW_X

    public static final DrawSymbol DRAW_X

  Draws a diagonal cross.

### DRAW_HATCH

    public static final DrawSymbol DRAW_HATCH

  Draws a hash mark.

### DRAW_HATCH_G1_W2

    public static final DrawSymbol DRAW_HATCH_G1_W2

  Draws a hash mark with a gap of 2 spaces and width 1.

### DRAW_HATCH_G2_W1

    public static final DrawSymbol DRAW_HATCH_G2_W1

  Draws a hash mark with a gap of 2 spaces and width 1.

### DRAW_HATCH_G2_W2

    public static final DrawSymbol DRAW_HATCH_G2_W2

  Draws a hash mark with a gap of 2 spaces and width 1.

### DRAW_HATCH_G3_W1

    public static final DrawSymbol DRAW_HATCH_G3_W1

  Draws a hash mark.

### DRAW_HATCH_G3_W2

    public static final DrawSymbol DRAW_HATCH_G3_W2

  Draws a hash mark.

Constructor Detail

### DrawSymbol

    public DrawSymbol()

Method Detail

### draw

    public final void draw(org.eclipse.draw2d.Graphics g,
                           java.lang.Object object,
                           int width,
                           int height)

  Calls a draw method that ignores object and provides a drawable interface.

  Specified by:
    `draw` in class `DrawFeature`
  Parameters:
    `g` - the Graphics context to draw into
    `object` - normally, the object to interpret for drawing, ignored here
    `width` - the width of the space that should be drawn into
    `height` - the height of the space that should be drawn into